summaryrefslogtreecommitdiff
path: root/init.d/sysctl.in
diff options
context:
space:
mode:
Diffstat (limited to 'init.d/sysctl.in')
-rw-r--r--init.d/sysctl.in26
1 files changed, 26 insertions, 0 deletions
diff --git a/init.d/sysctl.in b/init.d/sysctl.in
new file mode 100644
index 0000000..b1d8fb8
--- /dev/null
+++ b/init.d/sysctl.in
@@ -0,0 +1,26 @@
+#!@PREFIX@/sbin/runscript
+# Copyright 2007-2008 Roy Marples <roy@marples.name>
+# All rights reserved. Released under the 2-clause BSD license.
+
+depend()
+{
+ use hostname
+ before bootmisc logger
+ keyword noprefix
+}
+
+start()
+{
+ [ -e /etc/sysctl.conf ] || return 0
+
+ ebegin "Configuring kernel parameters"
+ local retval=0 var= comments=
+ while read var comments; do
+ case "${var}" in
+ ""|"#"*) continue;;
+ esac
+ sysctl -w "${var}" >/dev/null || retval=1
+ done < /etc/sysctl.conf
+ eend ${retval} "Some errors were encountered"
+ eend $?
+}